Package org.springframework.aot.hint.predicate

# Class ResourceHintsPredicates

java.lang.Object
org.springframework.aot.hint.predicate.ResourceHintsPredicates

public class ResourceHintsPredicates extends Object
Generator of `ResourceHints` predicates, testing whether the given hints match the expected behavior for resources.

Since:
  6.0
Author:
  Brian Clozel, Stephane Nicoll, Sam Brannen

## Method Summary

Modifier and Type
Method
Description
`Predicate<RuntimeHints>`
`forBundle(String bundleName)`
Return a predicate that checks whether a resource hint is registered for the given bundle name.
`Predicate<RuntimeHints>`
`forResource(String resourceName)`
Return a predicate that checks whether a resource hint is registered for the given resource name.
`Predicate<RuntimeHints>`
`forResource(TypeReference type, String resourceName)`
Return a predicate that checks whether a resource hint is registered for the given resource name, located in the given type's package.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### forBundle

public Predicate<RuntimeHints> forBundle(String bundleName)
Return a predicate that checks whether a resource hint is registered for the given bundle name.

Parameters:
  `bundleName` - the resource bundle name
Returns:
  the `RuntimeHints` predicate

### forResource

public Predicate<RuntimeHints> forResource(TypeReference type, String resourceName)
Return a predicate that checks whether a resource hint is registered for the given resource name, located in the given type's package.

For example, `forResource(org.example.MyClass, "myResource.txt")` will match against `"org/example/myResource.txt"`.

If the given resource name is an absolute path (i.e., starts with a leading slash), the supplied type will be ignored. For example, `forResource(org.example.MyClass, "/myResource.txt")` will match against `"myResource.txt"`.

Parameters:
  `type` - the type's package where to look for the resource
  `resourceName` - the resource name
Returns:
  the `RuntimeHints` predicate

### forResource

public Predicate<RuntimeHints> forResource(String resourceName)
Return a predicate that checks whether a resource hint is registered for the given resource name.

A leading slash will be removed.

Parameters:
  `resourceName` - the absolute resource name
Returns:
  the `RuntimeHints` predicate